@charset "utf-8";


/************************************************************************/
/* school timetable */
table.ttschool tr.odd { background: var(--bkclr-lightgray); }
table.ttschool tr.even { background: white; }
table.ttschool td, table.ttschool th {
    white-space: nowrap;
    font-size: small;
    padding: 3px; 
    border: 1px solid var(--bkclr-midgray); 
    border-top: 0 none;
    border-top-width: 0;
}
table.ttschool td.nopad { padding: 0; }
table.ttschool th { border-top-width: 0; border-bottom-width: 0; } /**/

/************************************************************************/
/* teacher-timetable */
table.ttt tr:nth-child(odd) { background: white; }
table.ttt tr:nth-child(even) { background: var(--bkclr-lightgray); }
table.ttt td, table.ttt th { 
    white-space: nowrap;
    font-size: small;
    padding: 4px; 
    border: 2px solid var(--bkclr-midgray);
}
table.ttt.nosize td, table.ttt.nosize th { font-size: initial; }
table.ttt.medium td, table.ttt.medium th { font-size: medium; }
table.ttt.larger td, table.ttt.larger th { font-size: larger; }
table.ttt.large td, table.ttt.large th { font-size: large; }
table.ttt th { border-top-width: 0; border-bottom-width: 0; }
table.ttt tr:nth-child(odd) td.dark { background: var(--bkclr-lightgray); }
table.ttt tr:nth-child(even) td.dark { background: var(--bkclr-midgray); }
table.ttt td.larger { font-size: larger; }
table.ttt.medium td, table.ttt.medium th { font-size: medium; }

/*tr.unsize td, tr.unsize th { font-size: unsize; }
tr.smaller td, tr.smaller th { font-size: smaller; }
tr.medium td, tr.medium th { font-size: medium; }
tr.large td, tr.large th { font-size: large; }
tr.larger td, tr.larger th { font-size: larger; }*/

.tts {
    display: grid;
    grid-auto-flow: row;
    grid-auto-columns: minmax(min-content, max-content); 
    gap: 1px; /* Отступы между ячейками */
    justify-content: start; /* Выравниваем всю сетку по левому краю (ширина по контенту) */
}

.tts-day {
    grid-column: span 4; /* Заголовок растянется на 3 колонки */
    background: #666;
    text-align: center;
}

.tts-lsn {
  grid-column: span 4;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
}
@supports (grid-template-columns: subgrid) {
    .tts-lsn { grid-template-columns: subgrid; }
}